Salesforce Retiring Platform API 21.0 Through 30.0 — Riva is Ready

  • Updated

Salesforce has announced that they will retire Salesforce Platform API Versions 21.0 through 30.0 on June 1, 2022. Salesforce's announcement.

That retirement is not a problem for Riva.

  • Riva uses API 45.0 as the default.
  • If your Salesforce connection was set to use an older version, you can change it to a version greater than 30.0 or remove the line.

Ensuring that your Salesforce connection is set to a Platform API version that will be supported on June 1, 2022

What to do for Riva Cloud:

What to do for Riva On-Premise:

  1. Open the Riva Manager application.

  2. On the menu, select Advanced Options.

  3. On the right pane, select Custom Options.

  4. Search for these keys, one at a time:

    • Version
    • Salesforce.VersionOverride
       

    If you do not find any of those keys, Riva is configured by default to use API 45.0, and you are ready for June 1, 2022.

  5. If you find one or both of those keys, make sure the Value of each key you find is set to a Platform API Version greater than 30.0 — or — remove the line.

  6. Save the connection.

    Result: The Salesforce connection is configured to use a Platform API Version greater than 30.0, and you are ready for June 1, 2022.

Was this article helpful?

/

Comments

0 comments

Article is closed for comments.